org.eclipse.microprofile.reactive.streams.operators.tck.api

## Class ReactiveStreamsVerification

- java.lang.Object
- - org.eclipse.microprofile.reactive.streams.operators.tck.api.AbstractReactiveStreamsApiVerification
  - - org.eclipse.microprofile.reactive.streams.operators.tck.api.ReactiveStreamsVerification

    public class ReactiveStreamsVerification
    extends AbstractReactiveStreamsApiVerification

Verification for the `ReactiveStreamsFactory` class.

### Field Summary

### Fields inherited from class org.eclipse.microprofile.reactive.streams.operators.tck.api.AbstractReactiveStreamsApiVerification

`rs`

### Constructor Summary

Constructors
Constructor and Description
`ReactiveStreamsVerification(ReactiveStreamsFactory rs)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `builder()`
`void` `concat()`
`void` `concatFirstNull()`
`void` `concatSecondNull()`
`void` `coupled()`
`void` `coupledPubisherNull()`
`void` `coupledRs()`
`void` `coupledRsPubisherNull()`
`void` `coupledRsSubscriberNull()`
`void` `coupledSubscriberNull()`
`void` `empty()`
`void` `failed()`
`void` `failedNull()`
`void` `fromCompletionStage()`
`void` `fromCompletionStageNull()`
`void` `fromCompletionStageNullable()`
`void` `fromCompletionStageNullableNull()`
`void` `fromIterable()`
`void` `fromIterableNull()`
`void` `fromProcessor()`
`void` `fromProcessorNull()`
`void` `fromPublisher()`
`void` `fromPublisherNull()`
`void` `fromSubscriber()`
`void` `fromSubscriberNull()`
`void` `generate()`
`void` `generateNullSupplier()`
`void` `iterate()`
`void` `iterateNullOperator()`
`void` `ofNullableNonNull()`
`void` `ofNullableNull()`
`void` `ofSingle()`
`void` `ofSingleNull()`
`void` `ofVarArgs()`

### Methods inherited from class org.eclipse.microprofile.reactive.streams.operators.tck.api.AbstractReactiveStreamsApiVerification

`assertEmptyStage, graphFor, graphFor, graphFor, graphFor`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ReactiveStreamsVerification

    public ReactiveStreamsVerification(ReactiveStreamsFactory rs)

### Method Detail

#### fromPublisher

    public void fromPublisher()

#### fromPublisherNull

    public void fromPublisherNull()

#### ofSingle

    public void ofSingle()

#### ofSingleNull

    public void ofSingleNull()

#### ofVarArgs

    public void ofVarArgs()

#### empty

    public void empty()

#### ofNullableNull

    public void ofNullableNull()

#### ofNullableNonNull

    public void ofNullableNonNull()

#### fromIterable

    public void fromIterable()

#### fromIterableNull

    public void fromIterableNull()

#### failed

    public void failed()

#### failedNull

    public void failedNull()

#### builder

    public void builder()

#### fromProcessor

    public void fromProcessor()

#### fromProcessorNull

    public void fromProcessorNull()

#### fromSubscriber

    public void fromSubscriber()

#### fromSubscriberNull

    public void fromSubscriberNull()

#### iterate

    public void iterate()

#### iterateNullOperator

    public void iterateNullOperator()

#### generate

    public void generate()

#### generateNullSupplier

    public void generateNullSupplier()

#### concat

    public void concat()

#### concatFirstNull

    public void concatFirstNull()

#### concatSecondNull

    public void concatSecondNull()

#### fromCompletionStage

    public void fromCompletionStage()

#### fromCompletionStageNull

    public void fromCompletionStageNull()

#### fromCompletionStageNullable

    public void fromCompletionStageNullable()

#### fromCompletionStageNullableNull

    public void fromCompletionStageNullableNull()

#### coupled

    public void coupled()

#### coupledSubscriberNull

    public void coupledSubscriberNull()

#### coupledPubisherNull

    public void coupledPubisherNull()

#### coupledRs

    public void coupledRs()

#### coupledRsSubscriberNull

    public void coupledRsSubscriberNull()

#### coupledRsPubisherNull

    public void coupledRsPubisherNull()